Bug 201969 - redhat-config-date and timeconfig break customized timezone settings
redhat-config-date and timeconfig break customized timezone settings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 20:30 EDT by Jefferson Ogata
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jefferson Ogata 2006-08-09 20:30:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Customize timezone setting by copying an Olsen zone file that is not listed
in the redhat-config-date timezone menus from /usr/share/zoneinfo to
/etc/localtime. Edit /etc/sysconfig/clock to set ZONE appropriately. Typically
this is done to put systems in the UTC zone, a perfectly reasonable requirement.
2. Run redhat-config-date or timeconfig.

Actual results:
system-config-date decides you must want to use the timezone for New York (not
even US/Eastern, but America/New_York).

Expected results:
system-config-date should not assume that you want to use a geographical time
zone, and if it doesn't recognize the zone you're in from /etc/localtime, it
should leave it alone.

Additional info:
The Red Hat tz config tools have a limited number of available zones, all
geographically based. It is essential with many systems (e.g. global observing
systems) to be able to set a logical zone, often UTC, on all participating
hosts. Unfortunately, Red Hat updates interfere with this process. As documented
in bug 199792, glibc updates sometimes overwrite /etc/localtime with the zone
file specified in /etc/sysconfig/clock. Meanwhile, the instructions for today's
tzdata update direct admins to run "system-config-date" (which is of course
wrong). So there is effectively no way to put a system in a zone outside the
limited geographic zones available in redhat-config-date/timeconfig and keep it
there.

Once upon a time, timeconfig provided a complete list of zones. At some point
(RHEL 3?) the list was shortened to its current limited state. This change
should be undone.
Comment 1 RHEL Product and Program Management 2007-10-19 14:41:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 2 Jefferson Ogata 2007-10-19 15:03:36 EDT
It's (In reply to comment #1)
> This bug is filed against RHEL 3, which is in maintenance phase.
> During the maintenance phase, only security errata and select mission
> critical bug fixes will be released for enterprise products. Since
> this bug does not meet that criteria, it is now being closed.

That's clever. Just ignore bugs until you're in maintenance phase, then close them.

Same problem exists with RHEL 4, by the way. Sanity was finally restored with
RHEL 5.

Note You need to log in before you can comment on or make changes to this bug.